Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
playlists
Publish Hub Media Playlist
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/playlists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "file_id": "<string>",
      "playlist_id": "<string>",
      "position": 0,
      "published_at": "2023-11-07T05:31:56Z",
      "visibility": "members"
    },
    "type": "hub_media"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "hub_id": "<string>",
      "position": 123,
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "visibility": "<string>",
      "file_id": "<string>",
      "playlist_id": "<string>",
      "published_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json

Body for POST .../media or .../playlists/{id}.

data
HubMediaPublishData · object
required

Response

Publish row updated (upsert).

Single-resource response wrapping a HubMediaResource.

data
JsonApiResource[HubMediaAttributes] · object
required
included
any[] | null
meta
Meta · object